# -*- coding: utf-8 -*-
from openerp.osv import osv, fields
import nmap
import warnings


class busca_dispo_wizard(osv.osv_memory):

    _name = 'busca_dispo_wizard.dispo'

    _columns = {

    'direccionip': fields.char('Rango de IPs:'),

    }

    def buscaips(self, cr, uid, ids, context=None):

        nm = nmap.PortScanner()

        rango = self.read(cr, uid, ids, ['direccionip'], context=context)
        rango = rango[0]['direccionip']

        nm.scan(hosts=rango, arguments='-n -sP -PE -PA161')
        hosts_list = [(x, nm[x]['status']['state']) for x in nm.all_hosts()]

        cont = 0
        host_list = []
        status_list = []
        obj = self.pool.get('lista_dispo.listaip')

        for host, status in hosts_list:
            host_list.append(host)
            status_list.append(status)
            obj.create(cr, uid, {'name': host_list[cont]}, context=None)
            cont = cont + 1

busca_dispo_wizard()


class clear_log(osv.osv_memory):

    _name = 'clear_log.clear'

    def clearlog(self, cr, uid, ids, context=None):

        obj_log = self.pool.get('log_mib.logmib')
        ids_log = obj_log.search(cr, uid, [])

        obj_log.unlink(cr, uid, ids_log, context=None)

clear_log()
